|  | Home | Documentation | uddi2__tModel Class Reference updated by Robert van Engelen |

Public Attributes | List of all members
uddi2__tModel Class Reference

Schema urn:uddi-org:api_v2:"tModel". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__tModel:
[legend]

## Public Attributes

uddi2__name * | name
| Element reference "urn:uddi-org:api_v2":name.
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded.
uddi2__overviewDoc * | overviewDoc
| Element reference "urn:uddi-org:api_v2":overviewDoc.
uddi2__identifierBag * | identifierBag
| Element reference "urn:uddi-org:api_v2":identifierBag.
uddi2__categoryBag * | categoryBag
| Element reference "urn:uddi-org:api_v2":categoryBag.
uddi2__tModelKey | tModelKey
| Attribute tModelKey of type "urn:uddi-org:api_v2":tModelKey.
char * | operator_
| Attribute operator of type xs:string.
char * | authorizedName
| Attribute authorizedName of type xs:string.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"tModel".

## Member Data Documentation

## ◆ authorizedName

char* uddi2__tModel::authorizedName

Attribute authorizedName of type xs:string.

Optional attribute

## ◆ categoryBag

uddi2__categoryBag* uddi2__tModel::categoryBag

Element reference "urn:uddi-org:api_v2":categoryBag.

Optional element

## ◆ description

std::vector<uddi2__description* > uddi2__tModel::description

Vector of uddi2__description* with length 0..unbounded.

## ◆ identifierBag

uddi2__identifierBag* uddi2__tModel::identifierBag

Element reference "urn:uddi-org:api_v2":identifierBag.

Optional element

## ◆ name

uddi2__name* uddi2__tModel::name

Element reference "urn:uddi-org:api_v2":name.

Required element

## ◆ operator_

char* uddi2__tModel::operator_

Attribute operator of type xs:string.

Optional attribute

## ◆ overviewDoc

uddi2__overviewDoc* uddi2__tModel::overviewDoc

Element reference "urn:uddi-org:api_v2":overviewDoc.

Optional element

## ◆ soap

struct soap* uddi2__tModel::soap

A handle to the soap struct context that manages this class instance.

## ◆ tModelKey

uddi2__tModelKey uddi2__tModel::tModelKey

Attribute tModelKey of type "urn:uddi-org:api_v2":tModelKey.

Required attribute

The documentation for this class was generated from the following file:

- uddi_v2.h